> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Code Scorer Dataset

> Validate a code scorer against dataset rows.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/code/validate/dataset
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/code/validate/dataset:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Validate Code Scorer Dataset
      description: Validate a code scorer against dataset rows.
      operationId: validate_code_scorer_dataset_v2_scorers_code_validate_dataset_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_validate_code_scorer_dataset_v2_scorers_code_validate_dataset_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateCodeScorerDatasetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    Body_validate_code_scorer_dataset_v2_scorers_code_validate_dataset_post:
      properties:
        file:
          type: string
          format: binary
          title: File
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        dataset_version_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dataset Version Index
        limit:
          type: integer
          title: Limit
          default: 100
        starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Starting Token
        required_scorers:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Scorers
        scoreable_node_types:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
        score_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Score Type
      type: object
      required:
        - file
        - dataset_id
      title: Body_validate_code_scorer_dataset_v2_scorers_code_validate_dataset_post
    ValidateCodeScorerDatasetResponse:
      properties:
        metrics_experiment_id:
          type: string
          format: uuid4
          title: Metrics Experiment Id
        project_id:
          type: string
          format: uuid4
          title: Project Id
      type: object
      required:
        - metrics_experiment_id
        - project_id
      title: ValidateCodeScorerDatasetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````